Something is Wrong

Discussion in 'Wii - Hacking' started by veraci_00, Sep 27, 2016.

  1. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    I get a crash dump whenever I boot cfg usb loader. however, it works without issue when loading the app from the homebrew launcher. if I try to redo the cfg usb loader wad, the wii remote doesn't respond. the sync button(s) keep flashing, and I can't do anything. I've never had this issue before. I've changed the hdd and the sd card. what's wrong?
     
  2. kittensauce

    kittensauce Got a spare screen?

    Member
    199
    65
    Mar 22, 2016
    United States
    Are the Wii remotes that you are trying to use (the ones with the flashing sync LEDs) WiiMotionPlus supported? Your IOS 249 or 250 (or maybe some other one) might be outdated, and as such, the newer Wii remotes do not work properly (I had the same issue and had to reinstall the IOS's).
     
    Last edited by kittensauce, Oct 2, 2016
    veraci_00 likes this.
  3. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    they r, yes. how do I install a newer ios 249/250? is there a guide for that? it's been so long that I can't remember a lot about the wii. also, is there a reason I'm getting a crash dump error with cfg usb loader's forwarder channel? could both problems be related? loading cfg usb loader from the homebrew channel works, just not from the forwarder channel.
     
  4. kittensauce

    kittensauce Got a spare screen?

    Member
    199
    65
    Mar 22, 2016
    United States
    I'm not sure what the problem is with the crash dump, but you never know, it could be fixed after reinstalling the IOS files. And to accomplish such a feat, I'm going to need your Wii version number (to be sure your IOS is truly outdated/can be replaced).
     
    veraci_00 likes this.
  5. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    4,009
    775
    Mar 2, 2015
    United States
    Wii remote+ not working with homebrew isn't cIOS related, it's because the homebrew was linked with an older version of libogc from before the WM+ remotes were released. If your CFG isn't working with them it might be very old. It could also be the CFG forwarder (the wad you installed) is old.
     
    kittensauce and veraci_00 like this.
  6. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    how do I do that? it's been so long that I can't remember much.
     
  7. kittensauce

    kittensauce Got a spare screen?

    Member
    199
    65
    Mar 22, 2016
    United States
    Ah, sorry, I just knew that my issues with WiiRemotePlus not working was fixed after reinstalling everything, and I just thought it was due to the cIOS. :P

    Well, it doesn't particularly matter anymore (but you can still do it by opening the settings app on the Wii, pressing the icon on the left, and looking in the top right corner); instead, you should do what GreyWolf suggested, and update your files, in this case the CFG loader WAD.
     
    veraci_00 likes this.
  8. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    I managed to get cfg usb loader's forwarder channel to work by installing an updated one with my only non motion plus controller. I'm not sure what happened with the old one, but it somehow became corrupted. that would explain the freezes, 'cause going through the homebrew channel = no game freezes. the settings app? do u mean the normal settings or an app that u can access through the homebrew channel?

    edit: so install a newer wad manager if it's not cios related?
     
    Last edited by veraci_00, Sep 30, 2016
  9. kittensauce

    kittensauce Got a spare screen?

    Member
    199
    65
    Mar 22, 2016
    United States
    I'm glad you fixed your problem! I meant the normal settings app (I think it's on the bottom left of the main Wii menu), not a homebrew settings application, but thst doesn't really matter anymore.

    You already got your problem solved, presumably, so it doesn't matter anymore. What I meant was that you should update your CFG USB loader forwarder's channel (what a mouthful) via the WAD file, but it looks like you already did that.
     
    veraci_00 likes this.
  10. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    oh, I meant fixing the issue with the wad manager.
     
  11. kittensauce

    kittensauce Got a spare screen?

    Member
    199
    65
    Mar 22, 2016
    United States
    Um, what problem about the WAD manager? You haven't mentioned such an issue before, at least not in this thread.
     
    veraci_00 likes this.
  12. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    it's the issue with wii motion plus. the buttons keep flashing and the remote doesn't sync when entering the wad manager. it works fine with a non motion plus controller.
     
  13. kittensauce

    kittensauce Got a spare screen?

    Member
    199
    65
    Mar 22, 2016
    United States
    Ah. That happens to me, too. I just end up using a non-WiiMotionPlus remote, so sorry, I can't help you. Maybe try selecting IOS 250 instead of 249 when starting the WAD manager, or vice versa?
     
    veraci_00 likes this.
  14. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    alright. I was hoping there was an updated wad manager if my cios r outdated which I don't think they r. I have 10 wii remotes with 1 being non motion plus. something is rattling inside of it which is y I don't use it. it doesn't seem to affect its use though. do they even sell non motion plus wii remotes anymore?
     
  15. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    4,009
    775
    Mar 2, 2015
    United States
    The WAD manager you have probably isn't compiled with a recent libogc library. If you only have WiiMotion+ controllers you can use either YAWMM or WiiMod Lite. They both work with WM+.

    I'm guessing you're using one of Waninkoko's managers. They were just called WAD Manager 1.7/1.8, etc. Those are from before WM+ came out.
     
    Last edited by GreyWolf, Oct 2, 2016
    kittensauce likes this.